.calc {
    padding-top: rem(40);
    padding-bottom: rem(40);

    &__header {
        text-align: center;
        margin-bottom: rem(18);

        &__title {
            font-weight: 700;
            font-size: rem(18);
            line-height: rem(23);
            margin-bottom: rem(16);
        }

        &__text {
            font-weight: 500;
            font-size: rem(12);
            line-height: rem(16);
        }
    }

    &__body {

    }

    &__order {
        max-width: rem(555);
        margin: rem(34) auto 0 auto;
    }

    &__form {

    }

    &__total {
        max-width: rem(555);
        margin: rem(25) auto 0 auto;
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(80);
        padding-bottom: rem(80);

        &__total {
            margin-top: rem(34);
        }

        &__header {
            margin-bottom: rem(40);

            &__title {
                font-size: rem(30);
                line-height: rem(40);
            }

            &__text {
                font-size: rem(16);
                line-height: rem(24);
            }
        }
    }

    @include media-breakpoint-up(xl) {
        padding-top: rem(130);
        padding-bottom: rem(120);

        &__body {
            display: flex;
            align-items: flex-start;
            justify-content: space-between;
        }

        &__order {
            width: 100%;
            margin-top: rem(42);
            max-width: inherit;
        }

        &__total {
            width: 100%;
            max-width: inherit;
        }
    }
}

.calc-size {
    max-width: rem(555);
    margin: 0 auto rem(44) auto;

    &__primary {
        position: relative;
        padding-left: rem(44);
        padding-bottom: rem(50);
        margin-bottom: rem(8);
    }

    &__media {
        padding-top: 71%;
        position: relative;
    }

    &__image {
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        position: absolute;
    }

    &__height {
        top: 0;
        z-index: 10;
        left: rem(22);
        height: calc(100% - 50px);
        position: absolute;

        .noUi-vertical {
            height: 100%;
        }
    }

    &__width {
        right: 0;
        bottom: rem(22);
        z-index: 20;
        width: calc(100% - 44px);
        position: absolute;
    }

    &__secondary {
        display: grid;
        grid-column-gap: rem(14);
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }

    &__thumb {
        font-weight: 500;
        font-size: rem(9);
        line-height: rem(10);
        text-align: center;
        background: $white;
        border: 1px solid #E0E0E0;
        padding: rem(8) rem(4) rem(6) rem(4);
        box-shadow: 0px 8px 20px rgba(0, 0, 0, 0.08);
        border-radius: 8px;
        transition: .3s;

        i {
            font-size: 0;
            line-height: 0;
            height: rem(42px);
            display: inline-block;
        }

        span {
            min-height: rem(22);
            display: flex;
            align-items: center;
            justify-content: center;
        }

        &:hover {
            box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.25);
            transition: .3s;
        }

        &.active {
            border-color: $green;
            box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.25);
            transition: .3s;
        }
    }

    @include media-breakpoint-up(md) {

        &__thumb {
            font-size: rem(14);
            line-height: rem(14);
            min-height: rem(124);
            position: relative;
            padding: rem(84) rem(4) rem(4) rem(4);

            i {
                left: 0;
                right: 0;
                top: 10px;
                height: 70px;
                margin-bottom: 0;
                position: absolute;
            }

            span {
                min-height: rem(30);
            }
        }

        &__primary {
            padding-left: rem(75);
            padding-bottom: rem(80);
            margin-bottom: rem(22);
        }

        &__height {
            left: rem(36);
            height: calc(100% - 80px);
        }

        &__width {
            bottom: rem(36);
            width: calc(100% - 75px);
        }
    }

    @include media-breakpoint-up(xl) {
        margin: 0;
        width: rem(555);
    }
}

.calc-form {
    max-width: rem(555);
    margin: 0 auto rem(44) auto;

    &__section {
        margin-bottom: rem(34);
    }

    &__row {
        display: grid;
        grid-row-gap: rem(12);
        grid-column-gap: rem(10);
        grid-template-columns: 1fr 1fr;
    }

    &__elem {


        &--xl {
            grid-column-start: 1;
            grid-column-end: 3;
        }
    }

    @include media-breakpoint-up(md) {

        &__row {
            grid-row-gap: rem(15);
            grid-column-gap: rem(15);
        }

        &__section {
            margin-bottom: rem(24);
        }
    }

    @include media-breakpoint-up(xl) {
        margin: 0;
        width: rem(555);

    }
}

.calc-checkout {
    color: $white;
    padding: rem(24) rem(20);
    border-radius: 8px;
    background: $green;

    &__header {
        display: none;
    }

    &__params {
        margin-bottom: rem(20);
        display: grid;
        grid-row-gap: rem(12);
        grid-column-gap: rem(15);
        grid-template-columns: 1fr 1fr;
    }

    &__label {
        font-weight: 500;
        font-size: rem(12);
        line-height: rem(12);
        margin-bottom: rem(5);
    }

    &__value {
        font-weight: 700;
        font-size: rem(14);
        line-height: rem(14);

        &--lead {
            font-size: rem(20);
            line-height: rem(20);
        }
    }

    &__buttons {
        display: grid;
        grid-row-gap: rem(15);
        grid-column-gap: rem(30);
        grid-template-columns: 1fr;
    }

    &--total {
        background: radial-gradient(195.41% 952.82% at -8.59% 167.38%, #4DB851 19.75%, #308ECD 86.04%);
    }

    @include media-breakpoint-up(md) {
        padding: rem(25) rem(34);

        &__params {
            margin-bottom: rem(30);
            display: flex;
            align-items: flex-start;
            justify-content: space-between;
        }

        &__label {
            font-size: rem(16);
            line-height: rem(20);
            margin-bottom: rem(5);
        }

        &__value {
            font-size: rem(16);
            line-height: rem(20);

            &--lead {
                font-size: rem(30);
                line-height: rem(30);
            }
        }

        &__buttons {
            grid-template-columns: 1fr 1fr;
        }
    }

    @include media-breakpoint-up(xl) {

        &__content {
            display: flex;
            align-items: center;
        }

        &__header {
            font-weight: 700;
            font-size: rem(30);
            line-height: rem(30);
            display: block;
            white-space: nowrap;
            margin-right: rem(24);
        }

        &__params {
            margin-bottom: rem(30);
        }

        &--total {
            min-height: rem(120);
            padding: rem(30) rem(44);
            display: flex;
            align-items: center;
            justify-content: space-between;

            .calc-checkout {

                &__param {
                    margin-right: rem(36);

                    &:first-child {
                        margin-right: rem(54);
                    }
                }

                &__params {
                    margin-bottom: 0;
                }
            }
        }
    }
}

.calc-order {

    &__title {
        font-weight: 500;
        font-size: rem(12);
        line-height: rem(12);
        margin-bottom: rem(12);
    }

    &__cart {
        display: grid;
        grid-row-gap: rem(15);
        grid-template-columns: 1fr;
    }

    @include media-breakpoint-up(md) {

        &__title {
            font-size: rem(16);
            line-height: rem(16);
        }

        &__cart {
            grid-row-gap: rem(34);
        }
    }

    @include media-breakpoint-up(xl) {

        &__title {
            display: none;
        }
    }
}

.cart-item {
    padding: rem(20);
    border-radius: 8px;
    position: relative;
    background: #F1F5F7;

    &__media {
        display: none;
    }

    &__remove {
        margin: 0;
        padding: 0;
        border: none;
        outline: none;
        z-index: 20;
        top: rem(20);
        right: rem(20);
        font-size: 0;
        line-height: 0;
        width: rem(15);
        height: rem(15);
        position: absolute;
        stroke: #808089;
    }

    &__info {
        font-size: rem(12);
        line-height: rem(12);
        margin-bottom: rem(10);
    }

    &__title {
        font-weight: 500;
        margin-bottom: rem(6);
    }

    &__params {
        color: rgba(0, 0, 20, 0.5);
    }

    &__text {
        font-size: rem(9);
        line-height: rem(12);
        margin-bottom: rem(10);
        color: rgba(0, 0, 20, 0.5);
    }

    &__price {
        font-weight: 700;
        font-size: rem(14);
        line-height: rem(20);
        white-space: nowrap;
        color: rgba(0, 0, 20, 0.5);
    }

    @include media-breakpoint-up(md) {

        &__info {
            font-size: rem(16);
            line-height: rem(24);
            margin-bottom: rem(8);
            display: flex;
            align-items: center;
        }

        &__title {
            margin-bottom: 0;

            &:after {
                content: '|';
                padding: 0 rem(14);
                color: rgba(0, 0, 20, 0.5);
            }
        }

        &__text {
            font-size: rem(14);
            line-height: rem(18);
        }

        &__price {
            font-size: rem(16);
            line-height: rem(20);
        }
    }

    @include media-breakpoint-up(xl) {
        padding: rem(27) rem(80) rem(27) rem(24);
        display: flex;
        align-items: center;

        &__media {
            font-size: 0;
            line-height: 0;
            width: rem(104);
            height: rem(85);
            overflow: hidden;
            background: $white;
            border-radius: 8px;
            margin-right: rem(17);
            box-shadow: 5px 15px 15px rgba(0, 0, 0, 0.05);
            display: flex;
            align-items: center;
            justify-content: center;
            flex-shrink: 0;
        }

        &__image {
            height: rem(60);
            flex-shrink: 0;
            display: inline-block;
        }

        &__content {
            margin: 0;
            width: rem(770);
            flex-shrink: 0;
        }

        &__text {
            margin-bottom: 0;
        }

        &__price {
            flex-grow: 1;
            text-align: right;
        }

        &__remove {
            right: rem(34);
            top: calc(50% - 8px);
        }
    }
}

.img-cover {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: contain;
    object-position: center center;
}

@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
